save_figures = 0;

disp('Initial conditions:');

dx = x_l:0.05:x_u; dy = y_l:0.05:y_u; [X,Y] = meshgrid(dx,dy);

fig_p_IC = figure('Name','Pressure initial condition');
surf(dx, dy, p_IC(X,Y), 'EdgeColor', 'none');
xlabel('x'); ylabel('y'); zlabel('p');
colorbar('Location','EastOutside');
view(0, 90);
grid on;
axis equal;
xlim(x_axis_limits); ylim(y_axis_limits);

if save_figures == 1
    filename_string = 'Bajko_Problem1_p_initial_condition';
    saveas(fig_p_IC,filename_string,'pdf');
    saveas(fig_p_IC,filename_string,'png');
end